.info-banner {
    background-color: var(--dark-background);
    box-shadow: 0 3px 10px var(--dark-background);
    color: var(--light);
    padding: 12px 0;
    font-size: 0.95rem;
    text-align: center;
    overflow: hidden;
    transition: max-height 0.5s ease, padding 0.3s ease, opacity 0.5s ease;
    max-height: 200px;
    opacity: 1;
    width: 100%;
}

.info-banner .content {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
}

.info-banner .message {
    margin: 0;
    font-size: 1rem;
    line-height: 1.5;
    width: 80vw;
}

.info-banner .button-close {
    top: 10px;
    right: 15px;
    background: none;
    border: none;
    font-size: 1.2rem;
    color: #666;
    cursor: pointer;
}

.info-banner .button-close-container {
    display: flex;
    justify-content: right;
    padding: 0 10px;
}

.info-banner.hide {
    max-height: 0;
    padding-top: 0;
    padding-bottom: 0;
    opacity: 0;
}